Jump to content

cant install forge


Recommended Posts

so ive been trying to install forge and for some reason it wont install. when i try to use the installer it doesnt show up in the launcher and when i look in the versions folder it doesnt include the jar file and also the json file is all messed up. can someone plz help me.

Link to comment
Share on other sites

I am also having issues with installers after build 1.8-Forge11.14.1.1375 not creating the jar file in the version folder. In my case the json files look fine (i.e., I diffed the 1375 json with the 1390 json and they are the same except for the id, time, and forge version).

 

When I use forge-1.8-11.14.1.1375-installer.jar, I get the message "Successfully installed client profile for version Forge 11.14.1.1375 into launcher and grabbed 0 required libraries". It creates both the jar and json file in the versions folder and no log file remained after the install. Builds 1371 and 1334 also work fine.

 

When I use forge-1.8-11.14.1.1390-installer.jar, I get the message "Successfully installed client profile for version Forge 11.14.1.1390 into launcher". It creates ONLY the json file in the versions folder and the log file remains after the install. Builds 1396, 1397, 1404, 1405, and forge-1.8-11.14.1.1405-installer-win.exe all behave this way.

 

It also didn't matter if I used a 1.7.0_67 jre or the Minecraft bundled 1.8.0_25 jre.

 

The log files for build 1390+ all look like the following with only the forge version number different.

 

Considering library net.minecraftforge:forge:1.8-11.14.1.1390: Not Downloading

Considering library net.minecraft:launchwrapper:1.11: Not Downloading

Considering library org.ow2.asm:asm-all:5.0.3: Not Downloading

Considering library com.typesafe.akka:akka-actor_2.11:2.3.3

Checking "C:\Users\Nate\AppData\Roaming\.minecraft\libraries\com\typesafe\akka\akka-actor_2.11\2.3.3\akka-actor_2.11-2.3.3.jar" internal checksums

    checksums.sha1 validated successfully

    Jar contents validated successfully

Considering library com.typesafe:config:1.2.1

Checking "C:\Users\Nate\AppData\Roaming\.minecraft\libraries\com\typesafe\config\1.2.1\config-1.2.1.jar" internal checksums

    checksums.sha1 validated successfully

    Jar contents validated successfully

Considering library org.scala-lang:scala-actors-migration_2.11:1.1.0

Checking "C:\Users\Nate\AppData\Roaming\.minecraft\libraries\org\scala-lang\scala-actors-migration_2.11\1.1.0\scala-actors-migration_2.11-1.1.0.jar" internal checksums

    checksums.sha1 validated successfully

    Jar contents validated successfully

Considering library org.scala-lang:scala-compiler:2.11.1

Checking "C:\Users\Nate\AppData\Roaming\.minecraft\libraries\org\scala-lang\scala-compiler\2.11.1\scala-compiler-2.11.1.jar" internal checksums

    checksums.sha1 validated successfully

    Jar contents validated successfully

Considering library org.scala-lang.plugins:scala-continuations-library_2.11:1.0.2

Checking "C:\Users\Nate\AppData\Roaming\.minecraft\libraries\org\scala-lang\plugins\scala-continuations-library_2.11\1.0.2\scala-continuations-library_2.11-1.0.2.jar" internal checksums

    checksums.sha1 validated successfully

    Jar contents validated successfully

Considering library org.scala-lang.plugins:scala-continuations-plugin_2.11.1:1.0.2

Checking "C:\Users\Nate\AppData\Roaming\.minecraft\libraries\org\scala-lang\plugins\scala-continuations-plugin_2.11.1\1.0.2\scala-continuations-plugin_2.11.1-1.0.2.jar" internal checksums

    checksums.sha1 validated successfully

    Jar contents validated successfully

Considering library org.scala-lang:scala-library:2.11.1

Checking "C:\Users\Nate\AppData\Roaming\.minecraft\libraries\org\scala-lang\scala-library\2.11.1\scala-library-2.11.1.jar" internal checksums

    checksums.sha1 validated successfully

    Jar contents validated successfully

Considering library org.scala-lang:scala-parser-combinators_2.11:1.0.1

Checking "C:\Users\Nate\AppData\Roaming\.minecraft\libraries\org\scala-lang\scala-parser-combinators_2.11\1.0.1\scala-parser-combinators_2.11-1.0.1.jar" internal checksums

    checksums.sha1 validated successfully

    Jar contents validated successfully

Considering library org.scala-lang:scala-reflect:2.11.1

Checking "C:\Users\Nate\AppData\Roaming\.minecraft\libraries\org\scala-lang\scala-reflect\2.11.1\scala-reflect-2.11.1.jar" internal checksums

    checksums.sha1 validated successfully

    Jar contents validated successfully

Considering library org.scala-lang:scala-swing_2.11:1.0.1

Checking "C:\Users\Nate\AppData\Roaming\.minecraft\libraries\org\scala-lang\scala-swing_2.11\1.0.1\scala-swing_2.11-1.0.1.jar" internal checksums

    checksums.sha1 validated successfully

    Jar contents validated successfully

Considering library org.scala-lang:scala-xml_2.11:1.0.2

Checking "C:\Users\Nate\AppData\Roaming\.minecraft\libraries\org\scala-lang\scala-xml_2.11\1.0.2\scala-xml_2.11-1.0.2.jar" internal checksums

    checksums.sha1 validated successfully

    Jar contents validated successfully

Considering library lzma:lzma:0.0.1: Not Downloading

Considering library net.sf.jopt-simple:jopt-simple:4.5: Not Downloading

 

Link to comment
Share on other sites

Anything in 1.8, and anything in 1.7 past 1388 do NOT create a jar file.

This is intentional.

It uses the jar/json from the vanilla version.

This allows better compatibility with vanilla changes, such as updating of the AuthLib {Mojang's account library} which they do all the time.

It's also less file duplication as the jar in there was just copies of the vanilla jar.

I do Forge for free, however the servers to run it arn't free, so anything is appreciated.
Consider supporting the team on Patreon

Link to comment
Share on other sites

Thanks for the reply, I was guessing it may have something to due with the new 1.8 modding framework. Even though you've addressed the issue, I'm including the post I was working on as it may be helpful to others trying to get Magic Launcher working with these new builds.

 

I just tried build 1410 and got the same result, no jar file in the versions folder.

 

Also, I failed to mention in the previous post that even without the jar files, the Minecraft Launcher 1.6.11 does show the the forge versions, I can create profiles from those versions, I can launch with those profiles, and the splash screen reports MCP v9.10, FML v8.99.4.1410, and Minecraft Forge 11.14.1.1410. I can open and play a world and was even able to load a mod.

 

My only real issue then is that I normally use Magic Launcher to manage mods and it wants the jar file in the versions folder but I have no jar file to make it happy.

 

Ok, I did some more research and found in the fml-client logs that it's working because it's using a jar file from ".minecraft\libraries\net\minecraftforge\forge\<forge-version>". I tried copying that file to the versions folder but that didn't make Magic Launcher happy. I noticed in the fml-client logs that it also uses ".minecraft\versions\1.8\1.8.jar" so I set the Magic Laucher Environment to 1.8-Forge11.14.1.1410 and Minecraft.jar to the "....minecraft\versions\1.8\1.8.jar". This seems to make Magic Launcher happy and I can use it to manage 1.8 mods. It's not as convenient as before but it seems to work. Now if I could Optifine 1.8.4 working....

 

Link to comment
Share on other sites

That's a MagicLauncher issue, he needs to support inherited versions, which is a feature of the vanilla launcher.

It's REALLY useful for stuff like Forge.

I do Forge for free, however the servers to run it arn't free, so anything is appreciated.
Consider supporting the team on Patreon

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.



×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.